+ Responder ao Tópico



  1. #1

    Exclamation Problemas com o php5 no apache2

    Galera é p seguinte, precisei instalar o apache 2 aki na empresa com suporte a php5, so q o php5 nao esta funcionando.... qnd vou abrir alguma pagina em formato php, o browser pede para salvar o arquivo... vejam as linhas q adicionei no apache para o mesmo dar suporte ao php5:

    LoadModule php5_module modules/libphp5.so << este arquivo esta no lugar certo

    AddType application/x-http-php .php
    AddType application/x-http-php .phtml

    DirectoryIndex index.html index.html.var index.php index.phtml

    obs: uso o debian

    alguem saberia o q poder ser???

  2. #2

    Padrão

    Citação Postado originalmente por rdpyverson Ver Post
    Galera é p seguinte, precisei instalar o apache 2 aki na empresa com suporte a php5, so q o php5 nao esta funcionando.... qnd vou abrir alguma pagina em formato php, o browser pede para salvar o arquivo... vejam as linhas q adicionei no apache para o mesmo dar suporte ao php5:

    LoadModule php5_module modules/libphp5.so << este arquivo esta no lugar certo

    AddType application/x-http-php .php
    AddType application/x-http-php .phtml

    DirectoryIndex index.html index.html.var index.php index.phtml

    obs: uso o debian

    alguem saberia o q poder ser???
    Caro amigo para abilitar suporte ao PHP5 no debia basta instalar o pacote

    libapache2-mod-php5

    apt-get install libapache2-mod-php5


    abraço



  3. #3

    Question

    Você instalou via apt-get ou compilou ?

    Ab, Duca.

  4. #4



  5. #5

    Padrão

    Esse módulo está na pasta modules?
    Código :
    modules/libphp5.so

    Cara, eu segui a instalação aqui e não deu problema.
    PHP: Apache 2.0 em sistemas Unix - Manual
    Recompile seu php.

    O que mostram os logs de erro do apache?

    Ab, Duca.
    Última edição por Duca; 15-05-2007 às 09:40.